Debian Bug report logs - #652504
libshout: Please convert libshout for multiarch

version graph

Package: libshout; Maintainer for libshout is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: Steve Langasek <steve.langasek@canonical.com>

Date: Sat, 17 Dec 2011 21:33:02 UTC

Severity: normal

Tags: patch

Found in version 2.2.2-6.1

Fixed in version libshout/2.2.2-8

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#652504; Package libshout. (Sat, 17 Dec 2011 21:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
New Bug report received and forwarded. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sat, 17 Dec 2011 21:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libshout: Please convert libshout for multiarch
Date: Sat, 17 Dec 2011 13:31:42 -0800
[Message part 1 (text/plain, inline)]
Package: libshout
Version: 2.2.2-6.1
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu precise ubuntu-patch

Dear maintainers,

I've just updated the libshout package in Ubuntu to transition it to use of
the multiarch library paths as described at
<http://wiki.debian.org/Multiarch/Implementation>.  Since libshout is a
dependency of gstreamer-plugins-good, this is one of the last major bits
needed to have a multiarch-friendly wine package in Ubuntu; I presume it
will be useful to Debian for the same reason.

Converting the libshout package for multiarch was non-trivial for several
reasons.

 - dh-buildinfo is not multiarch-safe; using it generates library packages
   that are not co-installable, and cdbs wants to generate an unconditional
   build-dependency on this tool.
 - cdbs wants to generate a build-dependency on an older version of cdbs
   than the one required for multiarch support, which means the
   build-dependency has to be overridden
 - the package is using a forked version of d-shlibs that's bundled in the
   debian/ directory (this seems to be inherited from an upstream debian/
   directory, although the current version is source format 3, which ignores
   any debian/ directory in the upstream tarball); and this forked version
   of d-shlibs is missing various bugfixes, including support for multiarch.

So the patch is a bit large, and includes both dropping the forked d-shlibs
and disabling the cdbs build-deps autogeneration (since the autogeneration
isn't actually outputting anything correctly that autogeneration would be
useful for).  A corresponding changelog for this patch is:

  * Build for multiarch.
  * Drop use of dh-buildinfo, which is completely redundant with build logs
    and is not multiarch-safe.
  * Drop support for auto-generation of build-dependencies in debian/control,
    because cdbs wants to unconditionally add a build-dependency on the
    broken dh-buildinfo tool and use it if present.
  * Drop forked version of d-shlibs, as the single issue this fork was
    for (libspeex) is addressed upstream; and build-depend on
    d-shlibs (>= 0.48) for the --multiarch option.  Closes: #548625, #650546.
  * Remove the libshout.la file.

Removing libshout.la is not strictly related to multiarch, but multiarch
does require moving the .la file to the multiarch library directory from
/usr/lib.  As a result, any packages still referencing the .la file are
going to be broken by this change *anyway*, so it might as well be dropped
at the same time.  And according to
<http://release.debian.org/~aba/la/current.txt>, the only package which
still references libshout.la is freej, which is FTBFS and significantly
broken - so it doesn't make sense to wait for freej to be fixed before
switching to multiarch and dropping the .la file.

Thanks for considering the patch.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[libshout_2.2.2-6.1.debdiff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#652504; Package libshout. (Mon, 09 Jan 2012 10:24:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 09 Jan 2012 10:24:30 GMT) Full text and rfc822 format available.

Message #10 received at 652504@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Steve Langasek <steve.langasek@canonical.com>
Cc: 652504@bugs.debian.org
Subject: Re: Bug#652504: libshout: Please convert libshout for multiarch
Date: Mon, 9 Jan 2012 11:22:45 +0100
tags 652504 pending
thanks

Hi Steve,

patches are in git now, thank you very much for the great work!

Cheers,

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A




Added tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Mon, 09 Jan 2012 10:24:41 GMT) Full text and rfc822 format available.

Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Wed, 15 Feb 2012 17:51:06 GMT) Full text and rfc822 format available.

Notification sent to Steve Langasek <steve.langasek@canonical.com>:
Bug acknowledged by developer. (Wed, 15 Feb 2012 17:51:06 GMT) Full text and rfc822 format available.

Message #17 received at 652504-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 652504-close@bugs.debian.org
Subject: Bug#652504: fixed in libshout 2.2.2-8
Date: Wed, 15 Feb 2012 17:47:21 +0000
Source: libshout
Source-Version: 2.2.2-8

We believe that the bug you reported is fixed in the latest version of
libshout, which is due to be installed in the Debian FTP archive:

libshout3-dev_2.2.2-8_amd64.deb
  to main/libs/libshout/libshout3-dev_2.2.2-8_amd64.deb
libshout3_2.2.2-8_amd64.deb
  to main/libs/libshout/libshout3_2.2.2-8_amd64.deb
libshout_2.2.2-8.debian.tar.gz
  to main/libs/libshout/libshout_2.2.2-8.debian.tar.gz
libshout_2.2.2-8.dsc
  to main/libs/libshout/libshout_2.2.2-8.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 652504@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <alessio@debian.org> (supplier of updated libshout package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 15 Feb 2012 18:27:53 +0100
Source: libshout
Binary: libshout3-dev libshout3
Architecture: source amd64
Version: 2.2.2-8
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Alessio Treglia <alessio@debian.org>
Description: 
 libshout3  - MP3/Ogg Vorbis broadcast streaming library
 libshout3-dev - MP3/Ogg Vorbis broadcast streaming library (development)
Closes: 652504
Changes: 
 libshout (2.2.2-8) unstable; urgency=low
 .
   * Team upload.
 .
   [ Alessio Treglia ]
   * Introduce MultiArch support. Thanks to Steve Langasek for
     the original patch: (Closes: #652504)
     - debian/control:
       + Bump cdbs minimum requirement to 0.4.93~.
       + Don't build-depend on dh-buildinfo, which is non multiarch-safe.
       + Regenerate.
     - debian/rules:
       + Move pkgconfig files into multiarch path.
       + Don't set DH_COMPAT in debian/rules.
 .
   [ Jonas Smedegaard ]
   * Add README.source, documenting use of git-buildpackage and CDBS
     (replacing README.cdbs-tweaks).
Checksums-Sha1: 
 21ae5b41f8a85a34b068ccf8697eead7f86766e6 2207 libshout_2.2.2-8.dsc
 d7ddaf12f47cc9ad5cb83f7001b9d7a1cb9f367d 13197 libshout_2.2.2-8.debian.tar.gz
 211c12016cbe85a0e12377d9071e43bf3b1cff03 45560 libshout3-dev_2.2.2-8_amd64.deb
 9188105992bcbb784bbd8d308bfa7f206267a2af 40920 libshout3_2.2.2-8_amd64.deb
Checksums-Sha256: 
 f77399baa37485a69e93eaf0d5198ea5440c55e95dc7b1148cfc23bf46f0db05 2207 libshout_2.2.2-8.dsc
 9b4719e6814c474b1e3e60157d382b09e1bcb285775b4869b4445348ff85f98d 13197 libshout_2.2.2-8.debian.tar.gz
 02243e5eab5337b5fb991c3e25566c1b7cd3b2c63e5aba638b883d9bd7c6a8ce 45560 libshout3-dev_2.2.2-8_amd64.deb
 cdff48d3e08ff2ff315e9a449054ede4f367be515ab86f9210f3075480736f65 40920 libshout3_2.2.2-8_amd64.deb
Files: 
 8a42623b7ec67c4b4a898c49fa065769 2207 libs optional libshout_2.2.2-8.dsc
 6b959d81d5ff3d82bac01a0294c19cab 13197 libs optional libshout_2.2.2-8.debian.tar.gz
 5d2dc5c9bff4fdf2dd9739c61f336e2d 45560 libdevel optional libshout3-dev_2.2.2-8_amd64.deb
 4f95ae043ba2c3827b12c5072a57ccb5 40920 libs optional libshout3_2.2.2-8_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPO+yYAAoJEOikiuUxHXZalxEQAJrZVwsnrFt/g54L7jzfBrxg
4iJ7OQCSC/tfEh5100JJYbJAL+ymqyDiVx59kxm0XHnPi4Wrbpoy4cpE9nji7GdF
kqL3bZGf0IlJA2lXVvH8lOkUXauExYyiOFQj71+9BhSSdeBkadmrtVUoHMVugY9Y
hoiodFQOHrlOSzAWMs9GP6yc3LXJ29Sph9NcVQiG0ETtzo/q23LzJY1veFwBDVQq
0hBQ/aO8od/nrtK2wPVgEGydxfG1qYljNCoFVgEjP4fUwirX0dkd/P5T2YFOxmL9
hRiErJoCjRkHYFgAxidlsvsYB4btv5b2HZgIB/UKEowdTOSCAWwLJwwDzYB/Ljfw
+lgTanLVOk95T+tjVE4Oniy2ymqKiIJ7duISmGYdiY7zEKbuG3u8WX+/EMiDeKGa
T1xmR2AqEg8GmVYIQE4yxpKCxKncX0hoOrRqmy8IUgdMpxJAFrHpkKlreb3YAEOO
3O4hbntlsStatpV2AuPGBh9f2ueO3drIlHXhIB1LYs6MB2mKa5oWjTG0XAsaGEGb
DFDdNj5pZjpX+IC/LNyaCvvMw6AQQ36jo2xSckZ7avCKqweVLRjt2N71ajOdDivX
8lyzYIAevH4sRvyktS3B9aWFtr5Sv8EWn/JHwq30kEd3oMdXOmIdHmLScM7mJ/LL
4pMYhkxooo7bby/qnTk5
=JSwi
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 Mar 2012 07:33:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:02:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.